View Issue Details

IDProjectCategoryView StatusLast Update
0016325ScribusStory Editor / Text Framespublic2020-11-21 23:55
Reportersreerajp Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
PlatformWindowsOS10OS Version1909
Product Version1.5.6.svn 
Target VersionFixed in Version 
Summary0016325: for some CTL fonts line is splitting into two if a textbox is placed inside the other
DescriptionWe have placed a text box inside another text box and set the textflow as "Textflow around bounding box" . Then we raised the level of the textbox placed inside. Now we type a line in Malayalam language (CTL font). For some fonts the line will break. This was not happening before Revision 24108

Attached the scribus file and font that is having issue. The line will not break if we change line spacing mode to Baseline grid. If it is fixed linespacing then only it is breaking
TagsNo tags attached.
PatchNo

Activities

sreerajp

2020-11-09 13:40

reporter  

Document-1.sla (15,355 bytes)
KinginiUN.ttf (345,808 bytes)

sreerajp

2020-11-09 14:22

reporter   ~0048353

Rather this is not there upto Revision 24041. After that this is happening.

jghali

2020-11-09 14:33

administrator   ~0048354

Use "Font Ascent" as first line offset of your text frames. When anything related to "Text flow around" is used, that makes things work better.

utnik

2020-11-09 16:17

updater   ~0048357

why on earth is the insane 'maximum ascent' still the (unchangeable) standard setting?

sreerajp

2020-11-10 09:53

reporter   ~0048367

I changed it to "Font Ascent". Then another issue appeared. I typed the words "മലയാളം ലേഖകൻ" These are two words. The space between this word is disappearing if the font size is 10pt, 11pt etc.. If the font size is 12pt, 17pt etc.. there is no issue. But if we just press the spacebar or enter key after the last character of the words, the space between the words is OK. i have attached a new document with the issue. The font used the same uploaded in this ticket earlier.

Document-1-2.sla (15,468 bytes)

jghali

2020-11-21 23:55

administrator   ~0048471

I fixed the issue of the disappearing space in r24271. It appears to have fixed 0016347 at the same time.

Issue History

Date Modified Username Field Change
2020-11-09 13:40 sreerajp New Issue
2020-11-09 13:40 sreerajp File Added: Document-1.sla
2020-11-09 13:40 sreerajp File Added: KinginiUN.ttf
2020-11-09 14:22 sreerajp Note Added: 0048353
2020-11-09 14:33 jghali Note Added: 0048354
2020-11-09 16:17 utnik Note Added: 0048357
2020-11-10 09:53 sreerajp File Added: Document-1-2.sla
2020-11-10 09:53 sreerajp Note Added: 0048367
2020-11-21 23:55 jghali Note Added: 0048471